Page MenuHomePhabricator

Prepare and check storage layer for bn.wikivoyage
Closed, ResolvedPublic

Description

New public wiki

Event Timeline

Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptJun 4 2018, 12:40 PM
Jayprakash12345 changed the task status from Open to Stalled.Jun 4 2018, 12:41 PM
Jayprakash12345 edited projects, added Cloud-Services; removed User-Jayprakash12345.
Jayprakash12345 updated the task description. (Show Details)
Marostegui added a subscriber: Marostegui.

Let us know when this is created so we can sanitize it.

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-06-07T14:53:25Z] <marostegui> Sanitize wikis on db1095 (old sanitarium) - T196362 T196358 T196359 T195008 T193187

Mentioned in SAL (#wikimedia-operations) [2018-06-07T15:08:29Z] <marostegui> Sanitize wikis on db1124 (current sanitarium for s3) - T196362 T196358 T196359 T195008 T193187

Marostegui changed the task status from Stalled to Open.Jun 7 2018, 3:13 PM
Marostegui triaged this task as Medium priority.
Marostegui moved this task from Blocked external/Not db team to Done on the DBA board.
Marostegui added subscribers: Bstorm, bd808.

This wiki has been sanitized. Ready for the views creation cc @bd808 @Bstorm. We have to double check the script for the views works correctly before going for it as a default after changing how the grants are deployed.

Bstorm claimed this task.Jun 7 2018, 3:55 PM

Views and indexes are all set for this one.

Marostegui closed this task as Resolved.Jun 11 2018, 6:39 PM

We are troubleshooting a views creation issues (https://phabricator.wikimedia.org/T193187) but for this one, we have done it manually running:

set session sql_log_bin=0;GRANT SELECT, SHOW VIEW ON `bnwikivoyage\_p`.* TO 'labsdbuser'; create database bnwikivoyage_p;

And ran the maintainviews scripts

@Marostegui Are you sure it is working?

urbanecm@tools-bastion-02 ~ 
$ sql --cluster=analytics bnwikivoyage
Could not find requested database
Make sure to ask for a db in format of <wiki>_p
urbanecm@tools-bastion-02 ~ 
$ sql --cluster=web bnwikivoyage                                                                                                                                                                            
Could not find requested database
Make sure to ask for a db in format of <wiki>_p
urbanecm@tools-bastion-02 ~                                                                                                                                                                            [8/8]
$ host bnwikivoyage.analytics.db.svc.eqiad.wmflabs
Host bnwikivoyage.analytics.db.svc.eqiad.wmflabs not found: 3(NXDOMAIN)
urbanecm@tools-bastion-02 ~ 
$ host bnwikivoyage.web.db.svc.eqiad.wmflabs                                                                                                                                                                
Host bnwikivoyage.web.db.svc.eqiad.wmflabs not found: 3(NXDOMAIN)
urbanecm@tools-bastion-02 ~ 
$ sql cswiki
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 7178500
Server version: 10.1.33-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [cswiki_p]> select @@hostname;
+------------+
| @@hostname |
+------------+
| labsdb1010 |
+------------+
1 row in set (0.00 sec)

MariaDB [cswiki_p]> use bnwikivoyage_p;
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed
MariaDB [bnwikivoyage_p]> Bye
urbanecm@tools-bastion-02 ~ 
$ sql cswiki
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 6693997
Server version: 10.1.33-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [cswiki_p]> select @@hostname;                                                                                                                                                                      
+------------+
| @@hostname |
+------------+
| labsdb1011 |
+------------+
1 row in set (0.00 sec)

MariaDB [cswiki_p]> use bnwikivoyage_p;
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed
MariaDB [bnwikivoyage_p]> Bye
urbanecm@tools-bastion-02 ~ 
$

I can connect to the database, but not using the shortcut sql. Also, I found the domain names do not exist

urbanecm@tools-bastion-02 ~ 
$ host cswiki.web.db.svc.eqiad.wmflabs
cswiki.web.db.svc.eqiad.wmflabs is an alias for s2.web.db.svc.eqiad.wmflabs.
s2.web.db.svc.eqiad.wmflabs has address 10.64.37.15
urbanecm@tools-bastion-02 ~ 
$ host cswiki.analytics.db.svc.eqiad.wmflabs
cswiki.analytics.db.svc.eqiad.wmflabs is an alias for s2.analytics.db.svc.eqiad.wmflabs.
s2.analytics.db.svc.eqiad.wmflabs has address 10.64.37.14
urbanecm@tools-bastion-02 ~ 
$ host bnwikivoyage.web.db.svc.eqiad.wmflabs
Host bnwikivoyage.web.db.svc.eqiad.wmflabs not found: 3(NXDOMAIN)
urbanecm@tools-bastion-02 ~ 
$ host bnwikivoyage.analytics.db.svc.eqiad.wmflabs                                                                                                                                                          
Host bnwikivoyage.analytics.db.svc.eqiad.wmflabs not found: 3(NXDOMAIN)
urbanecm@tools-bastion-02 ~ 
$

Sorry, I have one more step. Let me run that. There's an additional script I haven't yet run.

There, the last script triggers a few more actions, relating to DNS. Give it a few minutes and try again.

Marostegui reopened this task as Open.EditedJun 12 2018, 5:35 AM

@Bstorm as reported by @Urbanecm , this still doesn't work after a few hours.

marostegui@tools-bastion-03:~$ sql -v --cluster analytics bnwikivoyage_p
Could not find requested database
marostegui@tools-bastion-03:~$ sql -v --cluster web bnwikivoyage_p
Could not find requested database

However it is there if you switch to it

marostegui@tools-bastion-03:~$ sql -v --cluster analytics enwiki_p
Resolved enwiki_p to enwiki.analytics.db.svc.eqiad.wmflabs
Connecting to enwiki.analytics.db.svc.eqiad.wmflabs
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 7232365
Server version: 10.1.33-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [enwiki_p]> use bnwikivoyage_p
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed
MariaDB [bnwikivoyage_p]>

Doh! Yes, there is yet another script (for DNS) that doesn't automatically run. It's running now (and specifically creating the aliases).

Urbanecm closed this task as Resolved.Jun 12 2018, 2:57 PM

Working, thanks.

urbanecm@tools-bastion-02 ~ 
$ sql --cluster=analytics bnwikivoyage
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 8263420
Server version: 10.1.33-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [bnwikivoyage_p]> Bye
urbanecm@tools-bastion-02 ~ 
$ sql --cluster=web bnwikivoyage
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 13224974
Server version: 10.1.33-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [bnwikivoyage_p]> Bye
urbanecm@tools-bastion-02 ~ 
$
Vvjjkkii renamed this task from Prepare and check storage layer for bn.wikivoyage to xobaaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Bstorm as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Bodhisattwa renamed this task from xobaaaaaaa to Prepare and check storage layer for bn.wikivoyage.Jul 1 2018, 2:19 PM
Bodhisattwa closed this task as Resolved.
Bodhisattwa assigned this task to Bstorm.
Bodhisattwa lowered the priority of this task from High to Medium.
Bodhisattwa updated the task description. (Show Details)
Bodhisattwa added a subscriber: Aklapper.